locked
.Net framework 3.5.1 security updates is getting failed RRS feed

  • Question

  • Hi Team,

    Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 and Windows Server 2008 R2 SP1 for x64-based Systems (KB2894844) is getting fail to install.

    I tried following steps:
    1. Tried to install patch Automatically and manually but it failed

    2. Run Microsoft Fix-IT

    3. Used .NET Framework Cleanup Tool and repair tool

    4. Uninstall all versions of.NET framwork from cleanup utility and reinstall it again

    5. Checked for the latest update again but Security Update for Microsoft .NET Framework 3.5.1 detecting with 4.5 version

    6. .NET Framework 4.5 and security updates of 4.5 has been installed successfully

    7. Tried to install Security Update for Microsoft .NET Framework 3.5.1 on Windows 7 and Windows Server 2008 R2 SP1 for x64-based Systems (KB2894844) again but same issue

    Please Suggest

    Thanks


    Monday, November 17, 2014 6:25 AM

Answers

  • Hi ArtiIT,

    What's your system edition?

    This update is applied to :

    Microsoft .NET Framework 3.5.1 when used with:
    • Windows 7 Service Pack 1
    • Windows Server 2008 R2 Service Pack 1

    Thus make sure you have Microsoft .NET Framework 3.5.1 and Windows 7 with Service Pack 1.

    And then let us know what's the error message when you attempt to install this update?

    Meanwhile, follow this article to troubleshoot:

    Troubleshoot problems with installing updates

    http://windows.microsoft.com/en-in/windows/troubleshoot-problems-installing-updates#1TC=windows-7


    Karen Hu
    TechNet Community Support

    • Edited by Karen Hu Tuesday, November 18, 2014 6:14 AM update
    • Marked as answer by Yolanda Zhu Tuesday, November 25, 2014 10:08 AM
    Tuesday, November 18, 2014 6:06 AM

All replies

  • Hi ArtiIT,

    What's your system edition?

    This update is applied to :

    Microsoft .NET Framework 3.5.1 when used with:
    • Windows 7 Service Pack 1
    • Windows Server 2008 R2 Service Pack 1

    Thus make sure you have Microsoft .NET Framework 3.5.1 and Windows 7 with Service Pack 1.

    And then let us know what's the error message when you attempt to install this update?

    Meanwhile, follow this article to troubleshoot:

    Troubleshoot problems with installing updates

    http://windows.microsoft.com/en-in/windows/troubleshoot-problems-installing-updates#1TC=windows-7


    Karen Hu
    TechNet Community Support

    • Edited by Karen Hu Tuesday, November 18, 2014 6:14 AM update
    • Marked as answer by Yolanda Zhu Tuesday, November 25, 2014 10:08 AM
    Tuesday, November 18, 2014 6:06 AM
  • Hi 

    It's Windows 7 SP1. I have checked under update history found KB2894844 is failed many times.
    I also run .net cleanup tool on system.

    Sunday, November 30, 2014 9:39 AM